Subject: [OSPF] NSSA type-7 to type-5 external LSA translation with forwarding address suppression

From: "James Huang" <[email-masked]>
Date: Mon, 28 Dec 2009 15:53:46 -0800

Hi all,

                The following is from RFC 3101, section 3.2, step (2):

   "The newly originated Type-5 LSA will describe the same network

          and have the same network mask, path type, metric, forwarding

          address and external route tag as the Type-7 LSA.  The

          advertising router field will be the router ID of this NSSA
border router." 

     This statement is correct (with regarding to the metric) when
forwarding address suppression is not performed at the ABR.

If forwarding address suppression is performed at the ABR and the type-7
LSA is metric-type-1, the metric in the type-5 LSA should be set to the
original metric in the type-7 LSA plus the distance from this ABR to the
ASBR through the NSSA area.   This is because with forwarding address
suppression, the forwarding address field will be set to 0 and the
advertising router will be this ABR.   So the metric in the originated
type-5 LSA should be the distance from this ABR to the destination.

Is my thinking correct?

I tested this scenario against Cisco IOS version 12.4.

It did not set the metric correctly as described above when  forwarding
address suppression is performed against a metric-type-1 external LSA.

That makes me wonder ...

n  James Huang

---

From: Acee Lindem <[email-masked]>
Date: Mon, 28 Dec 2009 19:47:36 -0500

Hi James,
Forwarding address suppression is proprietary feature and is not  
described in RFC 3101. Hence, you question is not applicable to RFC  
3101.
Hope this helps,
Acee
On Dec 28, 2009, at 6:53 PM, James Huang wrote:

>    “The newly originated Type-5 LSA will describe the same network
>
>           advertising router field will be the router ID of this  
> NSSA border router.”
>
>
>
> If forwarding address suppression is performed at the ABR and the  
> type-7 LSA is metric-type-1, the metric in the type-5 LSA should be  
> set to the original metric in the type-7 LSA plus the distance from  
> this ABR to the ASBR through the NSSA area.   This is because with  
> forwarding address suppression, the forwarding address field will  
> be set to 0 and the advertising router will be this ABR.   So the  
> metric in the originated type-5 LSA should be the distance from  
> this ABR to the destination.
>
>
>
> Is my thinking correct?
>
> It did not set the metric correctly as described above when   
> forwarding address suppression is performed against a metric-type-1  
> external LSA.
>
> That makes me wonder …
>
>
>
> n  James Huang
>
>
>
>
>
> _______________________________________________
> OSPF mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ospf